import type { AwsAccessKey } from "./AwsAccessKey";
import type { AwsRegion } from "./AwsRegion";
import type { AwsSecretKey } from "./AwsSecretKey";
import type { S3BucketName } from "./S3BucketName";
import type { S3ObjectKey } from "./S3ObjectKey";
/**
 * Storage layer used for storing files in custom S3 buckets.
 *
 * This is a read/write storage layer.
 */
export declare type S3Storage = {
    bucket: {
        objectKeyPrefix: S3ObjectKey;
        bucketRegion: AwsRegion;
        bucketName: S3BucketName;
    };
    credentials: {
        awsSecretKey: AwsSecretKey;
        awsAccessKey: AwsAccessKey;
    };
    type: "S3";
    useAbsolutePaths: boolean;
    useDirectRawFileDelivery: boolean;
    useOriginAccessIdentity: boolean;
    useTransferAcceleration: boolean;
};
